be.fgov.ehealth.hubservices.core.v2

## Class AcknowledgeType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.AcknowledgeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:03:10+02:00",
                 comments="JAXB RI v2.3.7")
      public class AcknowledgeType
      extends Object
      implements Serializable

  Java class for AcknowledgeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AcknowledgeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="iscomplete" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="error" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}errorType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcknowledgeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ErrorType>` | `getErrors()` Gets the value of the errors property.
    `boolean` | `isIscomplete()` Gets the value of the iscomplete property.
    `void` | `setIscomplete(boolean value)` Sets the value of the iscomplete property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcknowledgeType

          public AcknowledgeType()

  - ### Method Detail

    - #### isIscomplete

          public boolean isIscomplete()

      Gets the value of the iscomplete property.

    - #### setIscomplete

          public void setIscomplete(boolean value)

      Sets the value of the iscomplete property.

    - #### getErrors

          public List<ErrorType> getErrors()

      Gets the value of the errors property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the errors property.

      For example, to add a new item, do as follows:

              getErrors().add(newItem);

      Objects of the following type(s) are allowed in the list `ErrorType`

Connector Packaging PERSLOGOPEDIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.